# Generated by Django 2.1 on 2020-03-26 10:04

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('crm', '0001_historicalclient'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalCrmGroup',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_date', models.DateTimeField(blank=True, editable=False)),
                ('modified_date', models.DateTimeField(blank=True, editable=False)),
                ('name', models.CharField(db_index=True, max_length=255)),
                ('rate', models.IntegerField()),
                ('is_podushka', models.BooleanField(default=False)),
                ('podushka_cost', models.IntegerField(default=0)),
                ('training_days', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('training_duration', models.IntegerField(choices=[(30, 'Пол часа'), (60, 'Один час'), (90, 'Полтора часа'), (120, 'Два часа'), (180, 'Три часа')], default=60)),
                ('one_visit_price', models.IntegerField(default=150)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('departament', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='crm.Departament')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('tutor', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='crm.Tutor')),
            ],
            options={
                'verbose_name': 'historical crm group',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
